<?php
/**
 * Created by PhpStorm.
 * User: Roman
 * Date: 05.09.2016
 * Time: 5:09
 */

Class Customers extends App{
    public $title;
    public $first_name;
    public $last_name;
    public $middle_name;
    public $display_name;
    public $sales_term_ref;
    public $phone;
    public $mobile;
    public $fax;
    public $address;
    public $address2;
    public $city;
    public $country_code;
    public $zip;
    public $billing_address;
    public $email;
    public $company;

    public function __construct(){
        parent::__construct();
    }

    public function create(){
        $Customer = new QuickBooks_IPP_Object_Customer();
        $Customer->setTitle($this->title);
        $Customer->setGivenName($this->first_name);
        $Customer->setMiddleName($this->middle_name);
        $Customer->setFamilyName($this->last_name);
        $Customer->setDisplayName($this->last_name.' '.$this->first_name);
        $Customer->setCompanyName($this->company);

        //$Customer->setSalesTermRef(4);
        $PrimaryPhone = new QuickBooks_IPP_Object_PrimaryPhone();
        $PrimaryPhone->setFreeFormNumber($this->phone);
        $Customer->setPrimaryPhone($PrimaryPhone);

        $Mobile = new QuickBooks_IPP_Object_Mobile();
        $Mobile->setFreeFormNumber($this->mobile);
        $Customer->setMobile($Mobile);

        $Fax = new QuickBooks_IPP_Object_Fax();
        $Fax->setFreeFormNumber($this->fax);
        $Customer->setFax($Fax);

        $BillAddr = new QuickBooks_IPP_Object_BillAddr();
        $BillAddr->setLine1($this->address);
        $BillAddr->setLine2($this->address2);
        $BillAddr->setCity($this->city);
        $BillAddr->setCountrySubDivisionCode($this->country_code);
        $BillAddr->setPostalCode($this->zip);
        $Customer->setBillAddr($this->billing_address);

        $PrimaryEmailAddr = new QuickBooks_IPP_Object_PrimaryEmailAddr();
        $PrimaryEmailAddr->setAddress('support@consolibyte.com');
        $Customer->setPrimaryEmailAddr($this->email);

        $Customer->setCompanyName($this->company);

        $this->customer = $Customer;

    }

    public function store($customer){
        $CustomerService = new QuickBooks_IPP_Service_Customer();
        if ($resp = $CustomerService->add($this->context, $this->realm, $customer)){
            return $customer->getId();
        }else{
            echo $customer->getCompanyName().' - '.$CustomerService->lastError($this->context).'<br>';
            return false;
        }
    }

    public function createList(){
        foreach($this->contacts as $contact){
            $this->title = $contact['title'];
            $this->first_name = $contact['first_name'];
            $this->last_name = $contact['last_name'];
            $this->email = $contact['email'];
            $this->company = substr($contact['entity'], 0, 21);
            switch($contact['phone_type']){
                case 'office':
                    $this->phone =  $contact['number'];
                    break;
                case 'home':
                    $this->phone = $contact['number'];
                    break;
                case 'mobile':
                    $this->mobile = $contact['number'];
                    break;
                case 'fax':
                    $this->fax = $contact['number'];
                    break;
            }
            $this->city = $contact['city'];
            $this->zip = $contact['zip'];
            $this->address = $contact['full_string'];
            $this->create();
            $this->customers[] = $this->customer;
        }
    }

    public function syncFromGazingle(){
        $this->createList();
        //print_r($this->customers);
        foreach($this->customers as $customer){
            try{
                $this->store($customer);
            }catch (Exception $ex){
                print_r($ex);
            }
        }
    }

    public function syncToGazingle(){

    }

    public function getAll(){
        $CustomerService = new QuickBooks_IPP_Service_Customer();

        $customers = $CustomerService->query($this->context, $this->realm, "SELECT * FROM Customer");
        $this->customers = $customers;
        return $this->customers;
    }

    public function printAll(){
        $this->getAll();
        foreach ($this->customers as $customer){
            print('Customer Id=' . $customer->getId() . ' is named: ' . $customer->getFullyQualifiedName() . '<br>');
        }
    }
}